import httpRequest from '@/utils/axios'

/**
 * 获取试卷列表
 */
export function getPaperList(params) {
  return httpRequest.get(`/api/qbs/admin/v1/question-papers/${params.project_prefix}`, { params })
}

/**
 * 新建试卷
 */
export function createPaper(data) {
  return httpRequest.post('/api/qbs/admin/v1/question-paper', data)
}

/**
 * 更新试卷
 */
export function updatePaper(data) {
  return httpRequest.put(`/api/qbs/admin/v1/question-paper/${data.id}`, data)
}

/**
 * 获取试卷详情
 */
export function getPaper(params) {
  return httpRequest.get(`/api/qbs/admin/v1/question-paper/${params.id}`, { params })
}

/**
 * 删除试卷
 */
export function batchDeletePaper(data) {
  return httpRequest.post('/api/qbs/admin/v1/question-paper/batch-delete', data)
}

/**
 * 获取试题列表
 */
export function getQuestionList(params) {
  return httpRequest.get('/api/qbs/admin/v1/questions', { params })
}

/**
 * 批量获取试题列表
 */
export function batchGetQuestionList(data) {
  return httpRequest.post('/api/qbs/admin/v1/questions/batch', data)
}

/**
 * 设置组题规则
 * 添加试题和设置试题分数
 */
export function updatePaperRules(data) {
  return httpRequest.post(`/api/qbs/admin/v1/question-paper/rules/${data.id}`, data)
}

/**
 * 搜索试题数量--自动组卷
 */
export function getQuestionCount(params) {
  return httpRequest.get('/api/qbs/admin/v1/question/search/count', { params })
}

/**
 * 获取试卷分类
 */
export function getPaperCategory(params) {
  return httpRequest.get(`/api/qbs/admin/v1/question-category/tree/${params.project_prefix}`, { params })
}
/**
 * 获取知识点/标签
 */
export function getKnowledge(params) {
  return httpRequest.get('/api/admin/v1/knowledge-point/search/x1', { params })
}

/**
 * 一次性自动组卷——搜索试题数量 （通过主题目检索）
 */
export function getParentQuestionCount(data) {
  return httpRequest.post('/api/qbs/admin/v1/question/search/parent-count', data)
}

/**
 * 一次性自动组卷——通过一次性自动选题规则获取题目
 */
export function getOnceAutoQuestionList(data) {
  return httpRequest.post('/api/qbs/admin/v1/question/search/once-auto-questions', data)
}
